<div>
    <h2>
        <span jhiTranslate="mpmApp.headerBBM.home.title">Header BBMS</span>
        <button class="btn btn-primary float-right jh-create-entity create-header-bbm" [routerLink]="['/header-bbm-new']">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down"  jhiTranslate="mpmApp.headerBBM.home.createLabel">
            Create new Header BBM
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'mpmApp.headerBBM.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br/>
    <p-dataTable 
        [value]="headerBBMS" 
        [editable]="true" 
        [rows]="itemsPerPage" 
        [paginator]="true" 
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]" 
        [totalRecords]="totalItems" 
        [responsive]="true" 
        [lazy]="true"
        row="itemsPerPage" 
        totalRecords="totalItems" 
        dataKey="no_bbm" 
        expandableRows="false"
        (onLazyLoad)="loadDataLazy($event)" 
        sortMode="multiple">
    <p-header>
    </p-header>
    <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowIndex="rowIndex" pTemplate="body">
            {{rowIndex + 1}}
        </ng-template>
    </p-column>
    <p-column header="Nomor BBM">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.no_bbm}}
        </ng-template>
    </p-column>
    <!-- <p-column header="Tanggal">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.dtcreated | date:'dd-MM-yyyy'}}
        </ng-template>
    </p-column>
    <p-column header="Kirim Ke">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.sentto}}
        </ng-template>
    </p-column>
    <p-column header="Pembuat">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.createdby}}
        </ng-template>
    </p-column>
    <p-column header="Lama Kredit">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.tenor}}
        </ng-template>
    </p-column>
    <p-column header="Suplier">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.suplier.nm_supplier}}
        </ng-template>
    </p-column>
    <p-column header="Otorisasi">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.otorisasi}}
        </ng-template>
    </p-column>
    <p-column header="Status">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.DescStatus}}
        </ng-template>
    </p-column>
    <p-column header="Revisi Eksternal">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.revision}}
        </ng-template>
    </p-column>
    <p-column header="Revisi Internal">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.revision_internal}}
        </ng-template>
    </p-column>
    <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <div class="ui-g-3">
                <button pButton type="button"
                    [routerLink]="['../purchasing-edit/' + rowData.idpurchasing + '/true']" icon="fa-eye"
                    class="flat-button" pTooltip="Lihat PO" *jhiHasAnyAuthority="['ROLE_MGR_PRC', 'ROLE_USER']">
                </button>
            </div>
            <div class="ui-g-3" *ngIf="rowData.idStatusType !== 17 && rowData.idStatusType !== 13 && rowData.idStatusType !== 26">
                <button pButton type="button" icon="fa-pencil" class="flat-button" (click)="editPO(rowData)"
                    pTooltip="Edit PO" *jhiHasAnyAuthority="['ROLE_MGR_PRC','ROLE_USER']">
                </button>
            </div>
            <div class="ui-g-3">
                <button pButton type="button" icon="fa-print" class="flat-button" (click)="printPO(rowData)"
                    pTooltip="Print PO" *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_MGR_PRC', 'ROLE_USER']">
                </button>
            </div>
            <div class="ui-g-3" *ngIf="rowData.idStatusType !== 17 && rowData.idStatusType !== 13 && rowData.idStatusType !== 26">
                <button pButton type="button" icon="fa fa-cog" class="flat-button" (click)="siapBBM(rowData)"
                    pTooltip="Siap BBM" *jhiHasAnyAuthority="['ROLE_USER', 'ROLE_MGR_PRC']">
                </button>
            </div>
            <div class="ui-g-3" *ngIf="rowData.idStatusType !== 17 && rowData.idStatusType !== 13">
                <button pButton type="button" icon="fa fa-close" class="flat-button" (click)="cancelPO(rowData)"
                    pTooltip="Cancel PO" *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_MGR_PRC']">
                </button>
            </div>
            <div class="ui-g-3" *ngIf="rowData.idStatusType !== 17 && rowData.idStatusType !== 13">
                <button pButton type="button" icon="fa fa-ban" class="flat-button" (click)="closePO(rowData)"
                    pTooltip="Close PO" *jhiHasAnyAuthority="['ROLE_MGR_PRC']">
                </button>
            </div>
        </ng-template>
    </p-column> -->
    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
    </ng-template>
</p-dataTable>
</div>
